## DACPPlayer DACPPlayer |

## Functions

DAAPRecord * | dacp_player_now_playing_record ()
guchar * | dacp_player_now_playing_artwork ()
void | dacp_player_play_pause ()
void | dacp_player_pause ()
void | dacp_player_next_item ()
void | dacp_player_prev_item ()
void | dacp_player_cue_clear ()
void | dacp_player_cue_play ()

## Types and Values

enum | DACPRepeatState
enum | DACPPlayState
struct | DACPPlayerIface

## Object Hierarchy

        GEnum
        ├── DACPPlayState
        ╰── DACPRepeatState

## Description

## Functions

### dacp_player_now_playing_record ()

    DAAPRecord *
    dacp_player_now_playing_record (DACPPlayer *player);

#### Parameters

player | a player |

#### Returns

### dacp_player_now_playing_artwork ()

    guchar *
    dacp_player_now_playing_artwork (DACPPlayer *player,
                                     guint width,
                                     guint height);

#### Parameters

player | a player |
width | width |
height | height |

#### Returns

### dacp_player_play_pause ()

    void
    dacp_player_play_pause (DACPPlayer *player);

#### Parameters

player | a player |

### dacp_player_pause ()

    void
    dacp_player_pause (DACPPlayer *player);

#### Parameters

player | a player |

### dacp_player_next_item ()

    void
    dacp_player_next_item (DACPPlayer *player);

#### Parameters

player | a player |

### dacp_player_prev_item ()

    void
    dacp_player_prev_item (DACPPlayer *player);

### dacp_player_cue_clear ()

    void
    dacp_player_cue_clear (DACPPlayer *player);

#### Parameters

player | a player |

### dacp_player_cue_play ()

    void
    dacp_player_cue_play (DACPPlayer *player,
                          GList *records,
                          guint index);

#### Parameters

player | a player |
records | a list of records |
index | an index |

## Types and Values

### enum DACPRepeatState

#### Members

DACP_REPEAT_NONE |  |
DACP_REPEAT_SINGLE |  |
DACP_REPEAT_ALL |  |

### enum DACPPlayState

#### Members

DACP_PLAY_STOPPED |  |
DACP_PLAY_PAUSED |  |
DACP_PLAY_PLAYING |  |

### struct DACPPlayerIface

    struct DACPPlayerIface {
    	GTypeInterface parent_class;

    	DAAPRecord *(*now_playing_record) (DACPPlayer * player);
    	guchar *(*now_playing_artwork) (DACPPlayer * player,
    	                                guint width, guint height);
    	void (*play_pause) (DACPPlayer * player);
    	void (*pause) (DACPPlayer * player);
    	void (*next_item) (DACPPlayer * player);
    	void (*prev_item) (DACPPlayer * player);

    	void (*cue_clear) (DACPPlayer * player);
    	void (*cue_play) (DACPPlayer * player, GList * records, guint index);
    };